Subject: bug#46342: 28.0.50; socks-send-command munges IP address bytes to UTF-8

From: "J.P." <[email-masked]>
Date: Sat, 20 Feb 2021 07:08:55 -0800

Eli Zaretskii <[email-masked]> writes:

> Running the tests, I see a lot of stuff on the console.  Do we really
> need that? can some of it be shut up?

Sorry about that. I changed it so it's only noisy during interactive
sessions. Is that enough or should I go all the way? Thanks.
>From cf8a990b27c91990f7cfa5954e37ebdae67fd42a Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <[email-masked]>
Date: Sat, 20 Feb 2021 06:50:30 -0800
Subject: [PATCH] Mute noisy test fixture for socks.el

* test/lisp/net/socks-tests.el:
(socks-tests-perform-hello-world-http-request):
---
 test/lisp/net/socks-tests.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/test/lisp/net/socks-tests.el b/test/lisp/net/socks-tests.el
index 9a2dcba9daf..71bdd74890a 100644
--- a/test/lisp/net/socks-tests.el
+++ b/test/lisp/net/socks-tests.el
@@ -173,6 +173,7 @@ socks-tests-perform-hello-world-http-request
                (goto-char (point-min))
                (should (search-forward "Hello World" nil t))
                (setq done t)))
+         (inhibit-message noninteractive)
          (buf (url-http url cb '(nil)))
          (proc (get-buffer-process buf))
          (attempts 10))
-- 
2.29.2